Qt 5.6 | Qt 3D | C++ Classes | QRenderPassFilter

Qt 5.6.3 Reference Documentation

# QRenderPassFilter Class

(Qt3DRender::QRenderPassFilter)

Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QRenderPassFilter(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QRenderPassFilter()
void | addInclude(QAnnotation *criterion)
void | addParameter(QParameter *p)
QList<QAnnotation *> | includes() const
QList<QParameter *> | parameters() const
void | removeInclude(QAnnotation *criterion)
void | removeParameter(QParameter *p)

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QRenderPassFilter(QRenderPassFilterPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode
- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Member Function Documentation

### QRenderPassFilter::QRenderPassFilter(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QRenderPassFilter.

### `[protected]` QRenderPassFilter::QRenderPassFilter(QRenderPassFilterPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QRenderPassFilter::~QRenderPassFilter()

Destroys the instance of QRenderPassFilter.

### void QRenderPassFilter::addInclude(QAnnotation *criterion)

### void QRenderPassFilter::addParameter(QParameter *p)

### `[protected]` void QRenderPassFilter::copy(const Qt3DCore::QNode *ref)

### QList<QAnnotation *> QRenderPassFilter::includes() const

### QList<QParameter *> QRenderPassFilter::parameters() const

### void QRenderPassFilter::removeInclude(QAnnotation *criterion)

### void QRenderPassFilter::removeParameter(QParameter *p)